#!/system/bin/sh
# Do NOT assume where your module will be located.
# ALWAYS use $MODDIR if you need to know where this script
# and module is placed.
# This will make sure your module will still work
# if Magisk change its mount point in the future
MODDIR=${0%/*}

# This script will be executed in late_start service mode
killall -9 'com.tencent.tmgp.sgame'
sleep 20
wz=/data/data/com.tencent.tmgp.sgame/shared_prefs
vt=${wz}/com.tencent.tmgp.sgame.v2.playerprefs.xml
chattr -i "$vt"
chmod 755 "$vt"
sed -i 's/.*<int name=".*GLES3" value=".*" \/>/    <int name="EnableGLES3" value="1" \/>/g' "$vt"
sed -i 's/.*<int name=".*MTR" value=".*" \/>/    <int name="EnableMTR" value="1" \/>/g' "$vt"
sed -i 's/.*<int name=".*Vulkan" value=".*" \/>/    <int name="EnableVulkan" value="3" \/>/g' "$vt"
chmod 440 "$vt"
chattr +i "$vt"
